///File : MainPanel.hpp
//------------------------------------------------------------------------------
/*
    This file is part of LongestWord.

    LongestWord is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    LongestWord is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with LongestWord.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/vscroll.h>
#include <wx/event.h>
#include <wx/stdpaths.h>
#include <wx/statline.h>
#include <wx/listctrl.h>

#include <vector>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "findFile.hpp"
#include "AppConfig.hpp"
#include "LongestWord.hpp"
//------------------------------------------------------------------------------

#if not defined MAIN_PANEL_HPP_LETTER_GAMES
#define MAIN_PANEL_HPP_LETTER_GAMES

struct product
{
    wxString name;
    float price;
};

class MainPanel : public wxPanel
{
public:
    MainPanel(wxWindow* parent, wxWindowID id, LongestWord *hangMan, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL );

    void MyRefresh();
    void NewLetters();
    void OnLetterBt(wxCommandEvent& event);
    void OnNewWordBt(wxCommandEvent& event);
    void OnValidateBt(wxCommandEvent& event);
    void OnWordUpdate(wxCommandEvent& event);
    void OnKeyPress(wxKeyEvent& event);
    void ResizeWord();

private:
    wxStaticText *m_Score;

    wxTextCtrl *m_CurrentWord;

    wxButton *m_LettersTbl[HASARD_LETTERS_NB], *m_NewWordBt, *m_ValidateBt;

    LongestWord *m_LongestWord;
};

#endif //MAIN_PANEL_HPP_LETTER_GAMES
